Skip to main content

Get a deposit by ID

GEThttps://api.propexo.com/v1/deposits/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the deposit

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: c9e06f9e-a8fa-4e5f-9209-ef75a5dcb958
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 6c5e07e5-680a-41e3-8fa4-dbdb5cc12d1e
    x_resident_idstringrequired

    The external ID of the resident from the integration vendor

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 8bbcd579-5e28-4272-b883-f04fa16742d2
    x_building_idnullrequired

    The external ID of the building (not necessarily the property) from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_deposit_typestring | nullnullablerequired

    The external type of the deposit from the integration vendor

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: Pet
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: d0bd3c68-e14e-4b63-b74a-0076d71fe7ad
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    amount_charged_in_centsnumber | nullnullablerequired

    The amount charged in cents

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 2820
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid in cents

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 2820
    amount_refunded_in_centsnumber | nullnullablerequired

    The amount refunded in cents

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 100000
    notesnullrequired

    Notes associated with the deposit

    Notice

    This field will always be null for RESMAN

    Example: null
    refund_amount_due_in_centsnumber | nullnullablerequired

    The refund amount due in cents

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: 2820
    custom_data object | nullrequired
    object
    integration_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: clx8k9m2n0000qrstuvwxyz01
    resident_idstringrequired

    The Propexo unique identifier for the resident

    InterfaceMethod
    Transactions (Partner API)/Transactions/DepositSummaryByCategory
    Example: clx8k9m2n0001qrstuvwxyz02
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/deposits/:id
curl https://api.propexo.com/v1/deposits/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c9e06f9e-a8fa-4e5f-9209-ef75a5dcb958",
"x_property_id": "6c5e07e5-680a-41e3-8fa4-dbdb5cc12d1e",
"x_resident_id": "8bbcd579-5e28-4272-b883-f04fa16742d2",
"x_building_id": null,
"x_deposit_type": "Pet",
"x_lease_id": "d0bd3c68-e14e-4b63-b74a-0076d71fe7ad",
"x_location_id": null,
"amount_charged_in_cents": 2820,
"amount_paid_in_cents": 2820,
"amount_refunded_in_cents": 100000,
"notes": null,
"refund_amount_due_in_cents": 2820,
"custom_data": "Unknown Type: object,null",
"integration_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"lease_id": "clx8k9m2n0000qrstuvwxyz01",
"resident_id": "clx8k9m2n0001qrstuvwxyz02",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}